CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

父属性 (ActiveX)

2023-1-3 09:15| 发布者: admin| 查看: 391| 评论: 0|来自: AutoCAD

摘要: 获取对象的父级。

获取对象的父级。

支持的平台:仅窗口

签名

工 务 局:

object.Parent 
对象

类型:菜单,菜单组,菜单组,弹出菜单,弹出菜单项,弹出菜单,工具栏,工具栏项工具栏

此属性适用的对象。

属性值

只读:是/否

类型:对象

必须将用户指定的变量声明为适当的对象类型。有效的对象类型包括:应用程序,菜单,菜单组,菜单,弹出菜单,弹出菜单,工具栏,工具栏

言论

没有额外的评论。

例子

工 务 局:

Sub Example_Parent()
    ' This example creates a new toolbar and then finds the parent toolbar.
    ' To remove the toolbar after execution of this macro, use the Customize Menu
    ' option from the Tools menu.
    
    Dim currMenuGroup As acadMenuGroup
    Set currMenuGroup = ThisDrawing.Application.MenuGroups.Item(0)
    
    ' Create the new toolbar
    Dim newToolBar As AcadToolbar
    Set newToolBar = currMenuGroup.Toolbars.Add("MyTools")
    
    ' Add a button to the new toolbar.
    ' All three buttons will have the same macro attached.
    Dim newButton1 As AcadToolbarItem
    Dim openMacro As String
    
    ' Assign the macro string the VB equivalent of "ESC ESC _open "
    openMacro = Chr(3) & Chr(3) & Chr(95) & "open" & Chr(32)
    
    Set newButton1 = newToolBar.AddToolbarButton("", "OpenFile", "Open a file.", openMacro)
    
    ' Display the toolbar
    newToolBar.Visible = True
    
    ' Find the parent toolbar for the toolbar button
    MsgBox "The " & newButton1.name & " button is on the " & newButton1.Parent.name & " toolbar."
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_Parent()
    ;; This example creates a new toolbar and then finds the parent toolbar.
    ;; To remove the toolbar after execution of this macro, use the Customize Menu
    ;; option from the Tools menu.
    (setq acadObj (vlax-get-acad-object))
    (setq currMenuGroup (vla-Item (vla-get-MenuGroups acadObj) 0))
    
    ;; Create the new toolbar
    (setq newToolBar (vla-Add (vla-get-Toolbars currMenuGroup) "MyTools"))
    
    ;; Add a button to the new toolbar.
    ;; All three buttons will have the same macro attached.
    ;; Assign the macro string the VB equivalent of "ESC ESC _open "
    (setq openMacro (strcat (Chr 3) (Chr 3) (Chr 95) "open" (Chr 32)))
    (setq newButton1 (vla-AddToolbarButton newToolBar "" "OpenFile" "Open a file." openMacro))
    
    ;; Display the toolbar
    (vla-put-Visible newToolBar :vlax-true)
    
    ;; Find the parent toolbar for the toolbar button
    (alert (strcat "The " (vla-get-Name newButton1) " button is on the " (vla-get-Name (vla-get-Parent newButton1)) " toolbar."))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-11 21:08

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部